// This file is generated by kconfig_compiler from taskbar.kcfg.
// All changes you do to this file will be lost.
#ifndef TASKBARSETTINGS_H
#define TASKBARSETTINGS_H

#include <kconfigskeleton.h>
#include <kdebug.h>

class KDE_EXPORT TaskBarSettings : public KConfigSkeleton
{
  public:
    enum { GroupNever, GroupWhenFull, GroupAlways };
    enum { ShowTaskList, ShowOperationsMenu, ActivateRaiseOrMinimize, Activate, Raise, Lower, Minimize, ToCurrentDesktop };
    enum { LeftButton, MiddleButton, RightButton };
    static const char* const EnumButtonToString[];

    static TaskBarSettings *self();
    ~TaskBarSettings();

    /**
      Set Show windows from all desktops
    */
    static
    void setShowAllWindows( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowAllWindows" ) ))
        self()->mShowAllWindows = v;
    }

    /**
      Get Show windows from all desktops
    */
    static
    bool showAllWindows()
    {
      return self()->mShowAllWindows;
    }

    /**
      Set Show only minimized windows
    */
    static
    void setShowOnlyIconified( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowOnlyIconified" ) ))
        self()->mShowOnlyIconified = v;
    }

    /**
      Get Show only minimized windows
    */
    static
    bool showOnlyIconified()
    {
      return self()->mShowOnlyIconified;
    }

    /**
      Set Group similar tasks:
    */
    static
    void setGroupTasks( int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "GroupTasks" ) ))
        self()->mGroupTasks = v;
    }

    /**
      Get Group similar tasks:
    */
    static
    int groupTasks()
    {
      return self()->mGroupTasks;
    }

    /**
      Set Sort windows by desktop
    */
    static
    void setSortByDesktop( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "SortByDesktop" ) ))
        self()->mSortByDesktop = v;
    }

    /**
      Get Sort windows by desktop
    */
    static
    bool sortByDesktop()
    {
      return self()->mSortByDesktop;
    }

    /**
      Set Sort windows by application
    */
    static
    void setSortByApp( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "SortByApp" ) ))
        self()->mSortByApp = v;
    }

    /**
      Get Sort windows by application
    */
    static
    bool sortByApp()
    {
      return self()->mSortByApp;
    }

    /**
      Set Show application icons
    */
    static
    void setShowIcon( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowIcon" ) ))
        self()->mShowIcon = v;
    }

    /**
      Get Show application icons
    */
    static
    bool showIcon()
    {
      return self()->mShowIcon;
    }

    /**
      Set MaximumButtonWidth
    */
    static
    void setMaximumButtonWidth( int v )
    {
      if (v < 0)
      {
        kdDebug() << "setMaximumButtonWidth: value " << v << " is less than the minimum value of 0" << endl;
        v = 0;
      }
      if (!self()->isImmutable( QString::fromLatin1( "MaximumButtonWidth" ) ))
        self()->mMaximumButtonWidth = v;
    }

    /**
      Get MaximumButtonWidth
    */
    static
    int maximumButtonWidth()
    {
      return self()->mMaximumButtonWidth;
    }

    /**
      Set MinimumButtonHeight
    */
    static
    void setMinimumButtonHeight( int v )
    {
      if (v < 1)
      {
        kdDebug() << "setMinimumButtonHeight: value " << v << " is less than the minimum value of 1" << endl;
        v = 1;
      }
      if (!self()->isImmutable( QString::fromLatin1( "MinimumButtonHeight" ) ))
        self()->mMinimumButtonHeight = v;
    }

    /**
      Get MinimumButtonHeight
    */
    static
    int minimumButtonHeight()
    {
      return self()->mMinimumButtonHeight;
    }

    /**
      Set Show windows from all screens
    */
    static
    void setShowCurrentScreenOnly( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowCurrentScreenOnly" ) ))
        self()->mShowCurrentScreenOnly = v;
    }

    /**
      Get Show windows from all screens
    */
    static
    bool showCurrentScreenOnly()
    {
      return self()->mShowCurrentScreenOnly;
    }

    /**
      Set taskbarFont
    */
    static
    void setTaskbarFont( const QFont & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "taskbarFont" ) ))
        self()->mTaskbarFont = v;
    }

    /**
      Get taskbarFont
    */
    static
    QFont taskbarFont()
    {
      return self()->mTaskbarFont;
    }

    /**
      Set Show window list button
    */
    static
    void setShowWindowListBtn( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowWindowListBtn" ) ))
        self()->mShowWindowListBtn = v;
    }

    /**
      Get Show window list button
    */
    static
    bool showWindowListBtn()
    {
      return self()->mShowWindowListBtn;
    }

    /**
      Set Mouse button actions
    */
    static
    void setAction( int i, int v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "%1Action" ).arg( QString::fromLatin1( EnumButtonToString[i] ) ) ))
        self()->mAction[i] = v;
    }

    /**
      Get Mouse button actions
    */
    static
    int action( int i )
    {
      return self()->mAction[i];
    }

    /**
      Set Draw taskbar entries "flat" and not as a button
    */
    static
    void setDrawButtons( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "DrawButtons" ) ))
        self()->mDrawButtons = v;
    }

    /**
      Get Draw taskbar entries "flat" and not as a button
    */
    static
    bool drawButtons()
    {
      return self()->mDrawButtons;
    }

    /**
      Set Draw taskbar text with a halo around it
    */
    static
    void setHaloText( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "HaloText" ) ))
        self()->mHaloText = v;
    }

    /**
      Get Draw taskbar text with a halo around it
    */
    static
    bool haloText()
    {
      return self()->mHaloText;
    }

    /**
      Set Show a visible button frame on the task the cursor is positioned over
    */
    static
    void setShowButtonOnHover( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowButtonOnHover" ) ))
        self()->mShowButtonOnHover = v;
    }

    /**
      Get Show a visible button frame on the task the cursor is positioned over
    */
    static
    bool showButtonOnHover()
    {
      return self()->mShowButtonOnHover;
    }

    /**
      Set Show thumbnails instead of icons in the mouse-over effects
    */
    static
    void setShowThumbnails( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ShowThumbnails" ) ))
        self()->mShowThumbnails = v;
    }

    /**
      Get Show thumbnails instead of icons in the mouse-over effects
    */
    static
    bool showThumbnails()
    {
      return self()->mShowThumbnails;
    }

    /**
      Set Maximum width/height of the thumbnail in pixels
    */
    static
    void setThumbnailMaxDimension( uint v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ThumbnailMaxDimension" ) ))
        self()->mThumbnailMaxDimension = v;
    }

    /**
      Get Maximum width/height of the thumbnail in pixels
    */
    static
    uint thumbnailMaxDimension()
    {
      return self()->mThumbnailMaxDimension;
    }

    static
    void writeConfig()
    {
      static_cast<KConfigSkeleton*>(self())->writeConfig();
    }
  protected:
    TaskBarSettings();
    static TaskBarSettings *mSelf;


    // General
    bool mShowAllWindows;
    bool mShowOnlyIconified;
    int mGroupTasks;
    bool mSortByDesktop;
    bool mSortByApp;
    bool mShowIcon;
    int mMaximumButtonWidth;
    int mMinimumButtonHeight;
    bool mShowCurrentScreenOnly;
    QFont mTaskbarFont;
    bool mShowWindowListBtn;
    int mAction[3];

    // Appearance
    bool mDrawButtons;
    bool mHaloText;
    bool mShowButtonOnHover;
    bool mShowThumbnails;
    uint mThumbnailMaxDimension;

  private:
};

#endif

